> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Oldest Posts

> Get User Oldest Posts



## OpenAPI

````yaml /api-reference/openapi.json get /api/user/oldest-posts
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/user/oldest-posts:
    get:
      tags:
        - User
      summary: Get User Oldest Posts
      description: Get User Oldest Posts
      operationId: getApiUserOldest-posts
      parameters:
        - in: query
          name: secUid
          schema:
            type: string
            minLength: 1
            description: User secUid
            example: >-
              MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
          required: true
        - in: query
          name: count
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 35
            description: >-
              The number of results to be returned. The default and maximum
              value is 35
            example: 35
          required: false
        - in: query
          name: cursor
          schema:
            type: string
            description: >-
              cursor parameter is used for pagination. In the first request, the
              default value of cursor is 0. For subsequent requests, the value
              of cursor will be taken from the response of the previous request
            default: '0'
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      cursor:
                        type: string
                        description: >-
                          Cursor for pagination. Use this value in subsequent
                          requests to fetch more data
                        example: '1665126038000'
                      hasMore:
                        type: boolean
                        description: >-
                          Indicates whether there are more data available to
                          fetch
                        example: true
                      itemList:
                        type: array
                        items:
                          type: object
                          properties:
                            AIGCDescription:
                              type: string
                              description: >-
                                AI-generated description of the video, if
                                available
                              example: ''
                            CategoryType:
                              type: number
                              description: >-
                                Indicates the video category type defined by
                                TikTok
                              example: 101
                            author:
                              type: object
                              properties:
                                avatarLarger:
                                  type: string
                                  description: URL of the user’s large-size avatar image
                                  example: >-
                                    https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/f8c7cad75f3a12205d31d6662d2555d5~tplv-tiktokx-cropcenter:1080:1080.jpeg?dr=14579&refresh_token=44dee363&x-expires=1743199200&x-signature=%2BGEGvUBERYBrAM3WxRM7lBR%2BwHk%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my
                                avatarMedium:
                                  type: string
                                  description: URL of the user’s medium-size avatar image
                                  example: >-
                                    https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/f8c7cad75f3a12205d31d6662d2555d5~tplv-tiktokx-cropcenter:720:720.jpeg?dr=14579&refresh_token=9014dbf4&x-expires=1743199200&x-signature=z0YrUAc7zL43tXzRLreiqXkp3UQ%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=f20df69d&idc=my
                                avatarThumb:
                                  type: string
                                  description: >-
                                    URL of the user’s thumbnail-size avatar
                                    image
                                  example: >-
                                    https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/f8c7cad75f3a12205d31d6662d2555d5~tplv-tiktokx-cropcenter:100:100.jpeg?dr=14579&refresh_token=5e79e1f7&x-expires=1743199200&x-signature=JC18MQX811ztSmm8YN5MdLNjViA%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=f20df69d&idc=my
                                commentSetting:
                                  type: number
                                  description: >-
                                    User’s comment privacy setting for their
                                    posts
                                  example: 0
                                downloadSetting:
                                  type: number
                                  description: >-
                                    User’s download permission setting for their
                                    videos
                                  example: 0
                                duetSetting:
                                  type: number
                                  description: User’s duet permission setting
                                  example: 0
                                ftc:
                                  type: boolean
                                  description: >-
                                    Indicates whether the account is subject to
                                    child safety restrictions
                                  example: false
                                id:
                                  type: string
                                  description: User ID
                                  example: '6881290705605477381'
                                isADVirtual:
                                  type: boolean
                                  description: >-
                                    Indicates whether the account is a virtual
                                    or advertisement related profile
                                  example: false
                                nickname:
                                  type: string
                                  description: The user’s profile display name
                                  example: Taylor Swift
                                openFavorite:
                                  type: boolean
                                  description: >-
                                    Whether the user’s liked videos list is
                                    public
                                  example: true
                                privateAccount:
                                  type: boolean
                                  description: >-
                                    Indicates whether the account is set to
                                    private
                                  example: false
                                secUid:
                                  type: string
                                  description: User secUid
                                  example: >-
                                    MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
                                secret:
                                  type: boolean
                                  description: >-
                                    Indicates whether the account is set to
                                    private
                                  example: false
                                signature:
                                  type: string
                                  description: The user’s profile bio
                                  example: This is pretty much just a cat account
                                stitchSetting:
                                  type: number
                                  description: User’s Stitch permission setting
                                  example: 0
                                ttSeller:
                                  type: boolean
                                  description: >-
                                    Indicates whether the user is registered as
                                    a TikTok Shop seller
                                  example: false
                                uniqueId:
                                  type: string
                                  description: >-
                                    User uniqueID. The user’s public TikTok
                                    handle (username)
                                  example: taylorswift
                                verified:
                                  type: boolean
                                  description: >-
                                    Indicates whether the account is officially
                                    verified
                                  example: true
                                UserStoryStatus:
                                  type: number
                                  description: |-
                                    Status of the user’s story feature:
                                    - `0`: no story
                                    - `1`: active story

                                     Use the [**/api/user/story**](https://docs.tikfly.io/api-reference/user/get-user-story) endpoint to retrieve detailed user story information.
                                  example: 0
                            authorStats:
                              type: object
                              properties:
                                diggCount:
                                  type: number
                                  description: >-
                                    Total number of likes the user has given to
                                    other videos
                                  example: 2276
                                followerCount:
                                  type: number
                                  description: Total number of users following this account
                                  example: 33300000
                                followingCount:
                                  type: number
                                  description: Number of accounts this user is following
                                  example: 0
                                friendCount:
                                  type: number
                                  description: >-
                                    Number of mutual followers (users that this
                                    account follows and who also follow back)
                                  example: 0
                                heart:
                                  type: number
                                  description: >-
                                    Total number of likes the user has received
                                    across all videos
                                  example: 263500000
                                heartCount:
                                  type: number
                                  description: >-
                                    Same as "heart". Represents the total number
                                    of likes the user has received
                                  example: 263500000
                                videoCount:
                                  type: number
                                  description: Total number of videos the user has posted
                                  example: 78
                              description: User stats
                            authorStatsV2:
                              type: object
                              properties:
                                diggCount:
                                  type: string
                                  description: >-
                                    Total number of likes the user has given to
                                    other videos
                                  example: '2276'
                                followerCount:
                                  type: string
                                  description: Total number of users following this account
                                  example: '33265139'
                                followingCount:
                                  type: string
                                  description: Number of accounts this user is following
                                  example: '0'
                                friendCount:
                                  type: string
                                  description: >-
                                    Number of mutual followers (users that this
                                    account follows and who also follow back)
                                  example: '0'
                                heart:
                                  type: string
                                  description: >-
                                    Total number of likes the user has received
                                    across all videos
                                  example: '263479941'
                                heartCount:
                                  type: string
                                  description: >-
                                    Same as "heart". Represents the total number
                                    of likes the user has received
                                  example: '263479941'
                                videoCount:
                                  type: string
                                  description: Total number of videos the user has posted
                                  example: '78'
                              description: >-
                                An enhanced version of user stats where all
                                metrics are exact values (not rounded)
                            backendSourceEventTracking:
                              type: string
                              description: >-
                                Internal backend event tracking identifier used
                                by TikTok
                              example: ''
                            challenges:
                              type: array
                              items:
                                type: object
                                properties:
                                  coverLarger:
                                    type: string
                                    description: >-
                                      URL of the large cover image for the
                                      challenge
                                    example: ''
                                  coverMedium:
                                    type: string
                                    description: >-
                                      URL of the medium cover image for the
                                      challenge
                                    example: ''
                                  coverThumb:
                                    type: string
                                    description: >-
                                      URL of the thumbnail cover image for the
                                      challenge
                                    example: ''
                                  desc:
                                    type: string
                                    description: Description of the challenge
                                    example: ''
                                  id:
                                    type: string
                                    description: Challenge ID
                                    example: '229207'
                                  profileLarger:
                                    type: string
                                    description: >-
                                      URL of the large profile image associated
                                      with the challenge, if any
                                    example: ''
                                  profileMedium:
                                    type: string
                                    description: >-
                                      URL of the medium profile image associated
                                      with the challenge, if any
                                    example: ''
                                  profileThumb:
                                    type: string
                                    description: >-
                                      URL of the thumnail profile image
                                      associated with the challenge, if any
                                    example: ''
                                  title:
                                    type: string
                                    description: Title or name of the challenge
                                    example: fyp
                            contents:
                              type: array
                              items:
                                type: object
                                properties:
                                  desc:
                                    type: string
                                    description: The text description of the video
                                    example: >-
                                      Honestly can’t think of a better way to
                                      celebrate my (almost) birthday than to
                                      relive the Eras Tour with you! This time
                                      we’re going backstage. "The End of an
                                      Era", a 6-episode behind-the-scenes
                                      docuseries, streams on @Disney+ beginning
                                      Dec 12 🫶
                                  textExtra:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        awemeId:
                                          type: string
                                          description: >-
                                            ID of the referenced video, if the text
                                            mentions another TikTok video
                                          example: ''
                                        end:
                                          type: number
                                          description: >-
                                            Ending character index of the detected
                                            entity within the text
                                          example: 225
                                        hashtagName:
                                          type: string
                                          description: >-
                                            Hashtag detected in the text without the
                                            # symbol
                                          example: ''
                                        isCommerce:
                                          type: boolean
                                          description: >-
                                            Indicates whether the detected entity is
                                            related to a commerce or promotional tag
                                          example: false
                                        secUid:
                                          type: string
                                          description: secUid of the referenced user
                                          example: >-
                                            MS4wLjABAAAAqUNM3kSR5Ftp2-qS8tMXPcOX8sQIrztPZ6xbXF19zZMi805WqA158zLCL15WnGHL
                                        start:
                                          type: number
                                          description: >-
                                            Starting character index of the detected
                                            entity within the text
                                          example: 217
                                        subType:
                                          type: number
                                          description: >-
                                            Subtype identifier for more specific
                                            classification of the entity
                                          example: 9
                                        type:
                                          type: number
                                          description: >-
                                            Type identifier indicating the kind of
                                            text entity (e.g., hashtag, mention,
                                            video reference)
                                          example: 0
                                        userId:
                                          type: string
                                          description: >-
                                            User ID of the referenced user, if the
                                            text includes a mention
                                          example: '6844178288162063365'
                                        userUniqueId:
                                          type: string
                                          description: Unique username of the referenced user
                                          example: disneyplus
                            createTime:
                              type: number
                              description: >-
                                Unix timestamp indicating when the video was
                                created
                              example: 1763039850
                            creatorAIComment:
                              type: object
                              properties:
                                eligibleVideo:
                                  type: boolean
                                  description: >-
                                    Indicates whether the video is eligible for
                                    AI-powered comments
                                  example: false
                                hasAITopic:
                                  type: boolean
                                  description: >-
                                    Indicates whether the video contains
                                    AI-generated topics
                                  example: false
                                notEligibleReason:
                                  type: number
                                  description: >-
                                    Reason code explaining why the video is not
                                    eligible for AI comments
                                  example: 101
                            desc:
                              type: string
                              description: The text description of the video
                              example: >-
                                Honestly can’t think of a better way to
                                celebrate my (almost) birthday than to relive
                                the Eras Tour with you! This time we’re going
                                backstage. "The End of an Era", a 6-episode
                                behind-the-scenes docuseries, streams on
                                @Disney+ beginning Dec 12 🫶
                            diversificationId:
                              type: number
                              description: >-
                                Identifier used by TikTok to diversify video
                                distribution
                              example: 10088
                            duetDisplay:
                              type: number
                              description: >-
                                Indicates duet visibility settings for this
                                video
                              example: 0
                            duetEnabled:
                              type: boolean
                              description: >-
                                Indicates whether duets are allowed for this
                                video
                              example: true
                            forFriend:
                              type: boolean
                              description: >-
                                Indicates whether the video is shared only with
                                friends
                              example: false
                            id:
                              type: string
                              description: Video ID
                              example: '7572198435487501598'
                            isAd:
                              type: boolean
                              description: Indicates whether the video is an advertisement
                              example: false
                            isReviewing:
                              type: boolean
                              description: >-
                                Indicates whether the video is still under
                                TikTok review
                              example: false
                            itemCommentStatus:
                              type: number
                              description: The comment status of the video
                              example: 0
                            item_control:
                              type: object
                              properties:
                                can_repost:
                                  type: boolean
                                  description: >-
                                    Indicates whether the video can be reposted
                                    by users
                                  example: true
                            music:
                              type: object
                              properties:
                                album:
                                  type: string
                                  description: >-
                                    Name of the album this music belongs to, if
                                    applicable
                                  example: ''
                                authorName:
                                  type: string
                                  description: Name of the music author or artist
                                  example: Taylor Swift
                                coverLarge:
                                  type: string
                                  description: >-
                                    URL of the large-size cover image for the
                                    music
                                  example: >-
                                    https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:1080:1080.jpeg?dr=14579&refresh_token=18df4cd3&x-expires=1763632800&x-signature=RX9GiL%2FEZngDo3rcRA1tsqkQmuo%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my
                                coverMedium:
                                  type: string
                                  description: >-
                                    URL of the medium-size cover image for the
                                    music
                                  example: >-
                                    https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:720:720.jpeg?dr=14579&refresh_token=614c3172&x-expires=1763632800&x-signature=d3Q%2FxhrnR1B1G9pX%2FJm60%2Fmgo9E%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my
                                coverThumb:
                                  type: string
                                  description: >-
                                    URL of the thumbnail-size cover image for
                                    the music
                                  example: >-
                                    https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:100:100.jpeg?dr=14579&refresh_token=e9b90fd8&x-expires=1763632800&x-signature=%2BJ97ep4n2G7v%2F2MKOwBcj%2F9MR1E%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my
                                duration:
                                  type: number
                                  description: Duration of the music in seconds
                                  example: 60
                                id:
                                  type: string
                                  description: Music ID
                                  example: '7556815852168759313'
                                isCopyrighted:
                                  type: boolean
                                  description: Indicates whether the music is copyrighted
                                  example: true
                                original:
                                  type: boolean
                                  description: >-
                                    Indicates whether this is an original sound
                                    created by the user
                                  example: true
                                playUrl:
                                  type: string
                                  description: Direct URL to play or download the music
                                  example: >-
                                    https://v16m.tiktokcdn.com/fb3d5ac2c28d791b79c06cd9ceca27ef/691d9d5e/video/tos/maliva/tos-maliva-v-27dcd7c799-us/oI2Aep2tC9pUdvVpJz2BEJ4nmEEjEAFVAAAFfD/?a=1180&bti=ODszNWYuMDE6&ch=0&cr=0&dr=0&er=0&lr=default&cd=0%7C0%7C0%7C0&br=250&bt=125&ds=5&ft=.NpOcInz7ThSPQcPXq8Zmo&mime_type=audio_mpeg&qs=13&rc=MzwzaXE5cnV3NzMzaTU8NEBpMzwzaXE5cnV3NzMzaTU8NEBvZ2tzMmRjaF5hLS1kMTJzYSNvZ2tzMmRjaF5hLS1kMTJzcw%3D%3D&vvpl=1&l=20251118183239BD2E13106ED74F0A522E&btag=e00050000&cc=3
                                private:
                                  type: boolean
                                  description: >-
                                    Indicates whether the music is private and
                                    not publicly accessible
                                  example: false
                                title:
                                  type: string
                                  description: Title of the music track
                                  example: original sound
                                tt2dsp:
                                  type: object
                                  description: >-
                                    Internal object for TikTok DSP (digital
                                    service processing) data
                                  example: {}
                            officalItem:
                              type: boolean
                              description: >-
                                Indicates whether the video is marked as
                                official content
                              example: false
                            originalItem:
                              type: boolean
                              description: >-
                                Indicates whether this is original content by
                                the creator
                              example: false
                            privateItem:
                              type: boolean
                              description: Indicates whether the video is set to private
                              example: false
                            secret:
                              type: boolean
                              description: Indicates whether the video is set to private
                              example: false
                            shareEnabled:
                              type: boolean
                              description: >-
                                Indicates whether sharing is enabled for this
                                video
                              example: true
                            stats:
                              type: object
                              properties:
                                collectCount:
                                  type: number
                                  description: Number of times the post has been saved
                                  example: 49800
                                commentCount:
                                  type: number
                                  description: Total number of comments on the post
                                  example: 10300
                                diggCount:
                                  type: number
                                  description: Total number of likes the post has received
                                  example: 1100000
                                playCount:
                                  type: number
                                  description: Total number of views the post has generated
                                  example: 6600000
                                shareCount:
                                  type: number
                                  description: Number of times the post has been shared
                                  example: 100000
                            statsV2:
                              type: object
                              properties:
                                collectCount:
                                  type: string
                                  description: Number of times the post has been saved
                                  example: '49811'
                                commentCount:
                                  type: string
                                  description: Total number of comments on the post
                                  example: '10300'
                                diggCount:
                                  type: string
                                  description: Total number of likes the post has received
                                  example: '1100000'
                                playCount:
                                  type: string
                                  description: Total number of views the post has generated
                                  example: '6600000'
                                repostCount:
                                  type: string
                                  description: Number of times the post has been reposted
                                  deprecated: true
                                  example: '0'
                                shareCount:
                                  type: string
                                  description: Number of times the post has been shared
                                  example: '100000'
                            stitchDisplay:
                              type: number
                              description: >-
                                Indicates stitch visibility settings for this
                                video
                              example: 0
                            stitchEnabled:
                              type: boolean
                              description: >-
                                Indicates whether stitching is allowed for this
                                video
                              example: true
                            textExtra:
                              type: array
                              items:
                                type: object
                                properties:
                                  awemeId:
                                    type: string
                                    description: >-
                                      ID of the referenced video, if the text
                                      mentions another TikTok video
                                    example: ''
                                  end:
                                    type: number
                                    description: >-
                                      Ending character index of the detected
                                      entity within the text
                                    example: 225
                                  hashtagName:
                                    type: string
                                    description: >-
                                      Hashtag detected in the text without the #
                                      symbol
                                    example: ''
                                  isCommerce:
                                    type: boolean
                                    description: >-
                                      Indicates whether the detected entity is
                                      related to a commerce or promotional tag
                                    example: false
                                  secUid:
                                    type: string
                                    description: secUid of the referenced user
                                    example: >-
                                      MS4wLjABAAAAqUNM3kSR5Ftp2-qS8tMXPcOX8sQIrztPZ6xbXF19zZMi805WqA158zLCL15WnGHL
                                  start:
                                    type: number
                                    description: >-
                                      Starting character index of the detected
                                      entity within the text
                                    example: 217
                                  subType:
                                    type: number
                                    description: >-
                                      Subtype identifier for more specific
                                      classification of the entity
                                    example: 9
                                  type:
                                    type: number
                                    description: >-
                                      Type identifier indicating the kind of
                                      text entity (e.g., hashtag, mention, video
                                      reference)
                                    example: 0
                                  userId:
                                    type: string
                                    description: >-
                                      User ID of the referenced user, if the
                                      text includes a mention
                                    example: '6844178288162063365'
                                  userUniqueId:
                                    type: string
                                    description: Unique username of the referenced user
                                    example: disneyplus
                            textLanguage:
                              type: string
                              description: Detected language of the caption text
                              example: en
                            textTranslatable:
                              type: boolean
                              description: >-
                                Indicates whether the caption text can be
                                translated
                              example: true
                            video:
                              type: object
                              properties:
                                PlayAddrStruct:
                                  type: object
                                  properties:
                                    DataSize:
                                      type: number
                                      description: Size of the video file in bytes
                                      example: 23052674
                                    FileCs:
                                      type: string
                                      description: >-
                                        File consistency signature used
                                        internally by TikTok
                                      example: c:0-92603-ae77
                                    FileHash:
                                      type: string
                                      description: >-
                                        Hash value of the video file used for
                                        validation
                                      example: 7e8bab4b791853b66673979351d35121
                                    Height:
                                      type: number
                                      description: Height of the video in pixels
                                      example: 1280
                                    Uri:
                                      type: string
                                      description: >-
                                        Internal TikTok URI reference for the
                                        video file
                                      example: v15044gf0000d4atkifog65skk2ktp00
                                    UrlKey:
                                      type: string
                                      description: >-
                                        Internal key used by TikTok CDN to map
                                        to the actual video file
                                      example: >-
                                        v15044gf0000d4atkifog65skk2ktp00_h264_720p_1216082
                                    UrlList:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        URL restricted to TikTok servers.

                                        To access or download the video use the
                                        [**Download
                                        endpoint**](https://docs.tikfly.io/api-reference/download/download-video)
                                      example:
                                        - >-
                                          https://v16-webapp-prime.tiktok.com/video/tos/maliva/tos-maliva-ve-0068c799-us/oYqVJyAFfAQbapAygDRpgpBA2EEVFEfdSdrIQ5/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2374&bt=1187&cs=0&ds=3&ft=3.u4FZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=0&rc=Ojc1ZWczPDhpOmZnOmVlZkBpM3NubnY5cmx3NzMzaTczNEAwYy9hLl4zXl4xNjBgMmI2YSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&btag=e00090000&expire=1764267687&l=2025112602185683E0DD5066ADFDA51BEC&ply_type=2&policy=2&signature=8cf407356d50899de3569d4f963b44c9&tk=tt_chain_token
                                        - >-
                                          https://v19-webapp-prime.tiktok.com/video/tos/maliva/tos-maliva-ve-0068c799-us/oYqVJyAFfAQbapAygDRpgpBA2EEVFEfdSdrIQ5/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2374&bt=1187&cs=0&ds=3&ft=3.u4FZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=0&rc=Ojc1ZWczPDhpOmZnOmVlZkBpM3NubnY5cmx3NzMzaTczNEAwYy9hLl4zXl4xNjBgMmI2YSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&btag=e00090000&expire=1764267687&l=2025112602185683E0DD5066ADFDA51BEC&ply_type=2&policy=2&signature=8cf407356d50899de3569d4f963b44c9&tk=tt_chain_token
                                        - >-
                                          https://www.tiktok.com/aweme/v1/play/?faid=1988&file_id=9ceb5bc73d9c47afa569a01ddb22f437&is_play_url=1&item_id=7572198435487501598&line=0&ply_type=2&signaturev3=dmlkZW9faWQ7ZmlsZV9pZDtpdGVtX2lkLjJhMmZhMTM0Mzc3MDViNjc2MWNhYmE0MTRlNzA4Yzc2&tk=tt_chain_token&urlt=1&video_id=v15044gf0000d4atkifog65skk2ktp00
                                    Width:
                                      type: number
                                      description: Width of the video in pixels
                                      example: 720
                                VQScore:
                                  type: string
                                  description: Video quality score calculated by TikTok
                                  example: '59.15'
                                bitrate:
                                  type: number
                                  description: Average video bitrate in bits per second
                                  example: 1216082
                                bitrateInfo:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      Bitrate:
                                        type: number
                                        description: >-
                                          Indicates the video bitrate in bits per
                                          second
                                        example: 1216082
                                      BitrateFPS:
                                        type: number
                                        description: >-
                                          Frames per second associated with this
                                          bitrate
                                        example: 23
                                      CodecType:
                                        type: string
                                        description: Video codec used for encoding
                                        example: h264
                                      Format:
                                        type: string
                                        description: Video container or file format
                                        example: mp4
                                      GearName:
                                        type: string
                                        description: >-
                                          Name of the transcoding gear or quality
                                          profile
                                        example: normal_720_0
                                      MVMAF:
                                        type: string
                                        description: >-
                                          Stringified MVMAF data containing
                                          multi-resolution video quality metrics
                                        example: >-
                                          "{\"v2.0\": {\"srv1\": {\"v1080\": -1,
                                          \"v960\": -1, \"v864\": -1, \"v720\":
                                          -1}, \"ori\": {\"v1080\": 86.983,
                                          \"v960\": 88.987, \"v864\": 90.935,
                                          \"v720\": 93.287}}}"
                                      PlayAddr:
                                        type: object
                                        properties:
                                          DataSize:
                                            type: number
                                            description: Size of the video file in bytes
                                            example: 23052674
                                          FileCs:
                                            type: string
                                            description: >-
                                              File consistency signature used
                                              internally by TikTok
                                            example: c:0-92603-ae77
                                          FileHash:
                                            type: string
                                            description: >-
                                              Hash value of the video file used for
                                              validation
                                            example: 7e8bab4b791853b66673979351d35121
                                          Height:
                                            type: number
                                            description: Height of the video in pixels
                                            example: 1280
                                          Uri:
                                            type: string
                                            description: >-
                                              Internal TikTok URI reference for the
                                              video file
                                            example: v15044gf0000d4atkifog65skk2ktp00
                                          UrlKey:
                                            type: string
                                            description: >-
                                              Internal key used by TikTok CDN to map
                                              to the actual video file
                                            example: >-
                                              v15044gf0000d4atkifog65skk2ktp00_h264_720p_1216082
                                          UrlList:
                                            type: array
                                            items:
                                              type: string
                                            description: >-
                                              URL restricted to TikTok servers.

                                              To access or download the video use the
                                              [**Download
                                              endpoint**](https://docs.tikfly.io/api-reference/download/download-video)
                                            example:
                                              - >-
                                                https://v16-webapp-prime.tiktok.com/video/tos/maliva/tos-maliva-ve-0068c799-us/oYqVJyAFfAQbapAygDRpgpBA2EEVFEfdSdrIQ5/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2374&bt=1187&cs=0&ds=3&ft=3.u4FZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=0&rc=Ojc1ZWczPDhpOmZnOmVlZkBpM3NubnY5cmx3NzMzaTczNEAwYy9hLl4zXl4xNjBgMmI2YSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&btag=e00090000&expire=1764267687&l=2025112602185683E0DD5066ADFDA51BEC&ply_type=2&policy=2&signature=8cf407356d50899de3569d4f963b44c9&tk=tt_chain_token
                                              - >-
                                                https://v19-webapp-prime.tiktok.com/video/tos/maliva/tos-maliva-ve-0068c799-us/oYqVJyAFfAQbapAygDRpgpBA2EEVFEfdSdrIQ5/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2374&bt=1187&cs=0&ds=3&ft=3.u4FZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=0&rc=Ojc1ZWczPDhpOmZnOmVlZkBpM3NubnY5cmx3NzMzaTczNEAwYy9hLl4zXl4xNjBgMmI2YSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&btag=e00090000&expire=1764267687&l=2025112602185683E0DD5066ADFDA51BEC&ply_type=2&policy=2&signature=8cf407356d50899de3569d4f963b44c9&tk=tt_chain_token
                                              - >-
                                                https://www.tiktok.com/aweme/v1/play/?faid=1988&file_id=9ceb5bc73d9c47afa569a01ddb22f437&is_play_url=1&item_id=7572198435487501598&line=0&ply_type=2&signaturev3=dmlkZW9faWQ7ZmlsZV9pZDtpdGVtX2lkLjJhMmZhMTM0Mzc3MDViNjc2MWNhYmE0MTRlNzA4Yzc2&tk=tt_chain_token&urlt=1&video_id=v15044gf0000d4atkifog65skk2ktp00
                                          Width:
                                            type: number
                                            description: Width of the video in pixels
                                            example: 720
                                      QualityType:
                                        type: number
                                        description: >-
                                          Internal quality type indicator used by
                                          TikTok
                                        example: 10
                                      VideoExtra:
                                        type: string
                                        description: >-
                                          Stringified JSON containing additional
                                          transcoding metadata such as packet
                                          offsets, bitrate details, or quality
                                          scores
                                        example: >-
                                          {"PktOffsetMap":"[{\"time\": 1,
                                          \"offset\": 239201}, {\"time\": 2,
                                          \"offset\": 366490}, {\"time\": 3,
                                          \"offset\": 527359}, {\"time\": 4,
                                          \"offset\": 630420}, {\"time\": 5,
                                          \"offset\": 739202}, {\"time\": 10,
                                          \"offset\":
                                          1033489}]","mvmaf":"{\"v2.0\":
                                          {\"srv1\": {\"v1080\": -1, \"v960\": -1,
                                          \"v864\": -1, \"v720\": -1}, \"ori\":
                                          {\"v1080\": 86.983, \"v960\": 88.987,
                                          \"v864\": 90.935, \"v720\":
                                          93.287}}}","ufq":"","volume_info_json":"","transcode_feature_id":"03d260a050ac518c3e2bcdc9d6ee5088","dec_info":"","gearvqm":"","audio_bit_rate":64079}
                                claInfo:
                                  type: object
                                  properties:
                                    enableAutoCaption:
                                      type: boolean
                                      description: >-
                                        Indicates whether auto-generated
                                        captions are enabled
                                      example: true
                                    hasOriginalAudio:
                                      type: boolean
                                      description: >-
                                        Indicates whether the video contains
                                        original audio
                                      example: true
                                    noCaptionReason:
                                      type: number
                                      description: >-
                                        Reason code explaining why captions are
                                        unavailable
                                      example: 1
                                codecType:
                                  type: string
                                  description: Video codec used for encoding
                                  example: h264
                                cover:
                                  type: string
                                  description: URL of the primary video thumbnail
                                  example: >-
                                    https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oENrjSAlKABIItfDIAQAOyTeRUFArLIGA8qEe7~tplv-tiktokx-origin.image?dr=14575&x-expires=1764266400&x-signature=viRTL670KOEGmIDnZHyCUweAItU%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my
                                definition:
                                  type: string
                                  description: Human-readable video resolution label
                                  example: 720p
                                downloadAddr:
                                  type: string
                                  description: >-
                                    URL restricted to TikTok servers.

                                    To access or download the video use the
                                    [**Download
                                    endpoint**](https://docs.tikfly.io/api-reference/download/download-video)
                                  example: >-
                                    https://v16-webapp-prime.tiktok.com/video/tos/maliva/tos-maliva-ve-0068c799-us/ow0iBf8kCiYqEo25pQ0AiAQVIuIuAYOAciMUVN/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2202&bt=1101&cs=0&ds=3&ft=3.u4FZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=0&rc=Z2k2aDc3aWQ7Njk8ODpmaEBpM3NubnY5cmx3NzMzaTczNEBiNTAyNGA1NmAxMl4xXjRiYSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&btag=e00090000&expire=1764267687&l=2025112602185683E0DD5066ADFDA51BEC&ply_type=2&policy=2&signature=2a45032221ace6e91dc7c65424449ca7&tk=tt_chain_token
                                duration:
                                  type: number
                                  description: Video duration in seconds
                                  example: 151
                                dynamicCover:
                                  type: string
                                  description: >-
                                    URL of the animated video cover (dynamic
                                    thumbnail)
                                  example: >-
                                    https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oENrjSAlKABIItfDIAQAOyTeRUFArLIGA8qEe7~tplv-tiktokx-origin.image?dr=14575&x-expires=1764266400&x-signature=viRTL670KOEGmIDnZHyCUweAItU%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my
                                encodeUserTag:
                                  type: string
                                  description: >-
                                    Optional encoded tag associated with the
                                    uploader
                                  example: ''
                                encodedType:
                                  type: string
                                  description: Encoding type used for the video
                                  example: normal
                                format:
                                  type: string
                                  description: Video container format
                                  example: mp4
                                height:
                                  type: number
                                  description: Video height in pixels
                                  example: 1280
                                id:
                                  type: string
                                  description: Video ID
                                  example: '7572198435487501598'
                                originCover:
                                  type: string
                                  description: >-
                                    URL of the original (unprocessed) video
                                    thumbnail
                                  example: >-
                                    https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/o0uA2OkfQVp0iiA8I0mAI25BAi7CqsAQpVicIZ~tplv-tiktokx-origin.image?dr=14575&x-expires=1764266400&x-signature=Vz7GHSAB2W6toNyhhLqHqgJqagQ%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my
                                playAddr:
                                  type: string
                                  description: >-
                                    URL restricted to TikTok servers.

                                    To access or download the video use the
                                    [**Download
                                    endpoint**](https://docs.tikfly.io/api-reference/download/download-video)
                                  example: >-
                                    https://v16-webapp-prime.tiktok.com/video/tos/maliva/tos-maliva-ve-0068c799-us/oYqVJyAFfAQbapAygDRpgpBA2EEVFEfdSdrIQ5/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2374&bt=1187&cs=0&ds=3&ft=3.u4FZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=0&rc=Ojc1ZWczPDhpOmZnOmVlZkBpM3NubnY5cmx3NzMzaTczNEAwYy9hLl4zXl4xNjBgMmI2YSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&btag=e00090000&expire=1764267687&l=2025112602185683E0DD5066ADFDA51BEC&ply_type=2&policy=2&signature=8cf407356d50899de3569d4f963b44c9&tk=tt_chain_token
                                ratio:
                                  type: string
                                  description: Video resolution ratio label
                                  example: 720p
                                size:
                                  type: number
                                  description: Video file size in bytes
                                  example: 23052674
                                subtitleInfos:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      Format:
                                        type: string
                                        description: Subtitle file format
                                        example: webvtt
                                      LanguageCodeName:
                                        type: string
                                        description: >-
                                          IETF language code representing the
                                          subtitle language
                                        example: gle-IE
                                      LanguageID:
                                        type: string
                                        description: >-
                                          Internal language identifier used by
                                          TikTok
                                        example: '24'
                                      Size:
                                        type: number
                                        description: File size of the subtitle in bytes
                                        example: 3601
                                      Source:
                                        type: string
                                        description: >-
                                          Indicates the source of the subtitle (MT
                                          for machine translation)
                                        example: MT
                                      Url:
                                        type: string
                                        description: >-
                                          Temporary URL to download the subtitle
                                          file. The URL is time-limited and may
                                          only be accessible from TikTok servers
                                        example: >-
                                          https://v16-webapp.tiktok.com/e6516c847a90ebff2ce5a2d7380e8568/692896a7/video/tos/maliva/tos-maliva-v-0068c799-us/1f90242eb922461d86c37fb6d95b99b8/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=9716&bt=4858&ds=4&ft=3JYlmZmo0PD6_o5faQ9bn1AOhKkV1PCwqYlc&mime_type=video_mp4&qs=13&rc=M3NubnY5cmx3NzMzaTczNEBpM3NubnY5cmx3NzMzaTczNEAtcS9oMmRjaF5hLS1kMTJzYSMtcS9oMmRjaF5hLS1kMTJzcw%3D%3D&l=2025112602185683E0DD5066ADFDA51BEC&btag=e00050000
                                      UrlExpire:
                                        type: number
                                        description: >-
                                          Unix timestamp (in seconds) indicating
                                          when the subtitle URL expires
                                        example: 1764267687
                                      Version:
                                        type: string
                                        description: Version number of the subtitle track
                                        example: '4'
                                videoID:
                                  type: string
                                  description: Internal video identifier used by TikTok
                                  example: v15044gf0000d4atkifog65skk2ktp00
                                videoQuality:
                                  type: string
                                  description: Video quality category assigned by TikTok
                                  example: normal
                                volumeInfo:
                                  type: object
                                  properties:
                                    Loudness:
                                      type: number
                                      description: >-
                                        Measured loudness level of the audio
                                        track
                                      example: -20.4
                                    Peak:
                                      type: number
                                      description: Peak volume value detected in the audio
                                      example: 0.43652
                                width:
                                  type: number
                                  description: Video width in pixels
                                  example: 720
                                zoomCover:
                                  type: object
                                  properties:
                                    '240':
                                      type: string
                                      description: 240×240 zoom-cropped cover image
                                      example: >-
                                        https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oENrjSAlKABIItfDIAQAOyTeRUFArLIGA8qEe7~tplv-photomode-zoomcover:240:240.avif?dr=14555&x-expires=1764266400&x-signature=BanZKOImKVnik0EICH3eRM9%2F208%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my&ftpl=1
                                    '480':
                                      type: string
                                      description: 480×480 zoom-cropped cover image
                                      example: >-
                                        https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oENrjSAlKABIItfDIAQAOyTeRUFArLIGA8qEe7~tplv-photomode-zoomcover:480:480.avif?dr=14555&x-expires=1764266400&x-signature=QVjVHBEo4JFJevXtCTeBadYOZhs%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my&ftpl=1
                                    '720':
                                      type: string
                                      description: 720×720 zoom-cropped cover image
                                      example: >-
                                        https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oENrjSAlKABIItfDIAQAOyTeRUFArLIGA8qEe7~tplv-photomode-zoomcover:720:720.avif?dr=14555&x-expires=1764266400&x-signature=pBUntIlezCX8Aif7fMc5D7RTxos%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my&ftpl=1
                                    '960':
                                      type: string
                                      description: 960×960 zoom-cropped cover image
                                      example: >-
                                        https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oENrjSAlKABIItfDIAQAOyTeRUFArLIGA8qEe7~tplv-photomode-zoomcover:960:960.avif?dr=14555&x-expires=1764266400&x-signature=5d3SdFPlHe%2FIVw1MJju8xm%2BfeGo%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my&ftpl=1
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````